# List all projects - ListProjects

## Overview

List all projects






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `ListProjects`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Offset** | string |  |No|
| **Limit** | string |  |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **Projects** | array[[*Project*](#project)] | Project Information |**Yes**|
| **TotalCount** | int | Total |**Yes**|

#### Data Model


#### Project

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectID** | string | Project ID |**Yes**|
| **ProjectName** | string | Project Name |**Yes**|
| **UserCount** | int | Number of Users |**Yes**|
| **CreatedAt** | int | Creation Time |**Yes**|

## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=ListProjects
&Offset=jNYCtQbd
&Limit=zmvwjdzF
```

### Response Example
    
```json
{
  "Action": "ListProjectsResponse",
  "Message": "grnIyjqc",
  "Projects": [
    {
      "CreatedAt": 8,
      "ProjectID": "lhxTxRry",
      "ProjectName": "VKDPDmun",
      "UserCount": 7
    }
  ],
  "RetCode": 0,
  "TotalCount": 9
}
```





